import java.lang.IllegalArgumentException;
public class Capture
{
  private boolean captureLeft;
  public boolean getCaptureLeft()
  {
    return captureLeft;
  }
  private boolean captureDown;
  public boolean getCaptureDown()
  {
    return captureDown;
  }
  private boolean captureRight;
  public boolean getCaptureRight()
  {
    return captureRight;
  }
  private boolean captureUp;
  public boolean getCaptureUp()
  {
    return captureUp;
  }
  public Capture(boolean captureLeft, boolean captureDown, boolean captureRight, boolean captureUp)
  {
    int total = 0;
    if (captureLeft)
    {
      total++;
    }
    if (captureDown)
    {
      total++;
    }
    if (captureRight)
    {
      total++;
    }
    if (captureUp)
    {
      total++;
    }
    if (total < 2)
    {
      throw new IllegalArgumentException("Invalid capture value.");
    }
    this.captureLeft = captureLeft;
    this.captureDown = captureDown;
    this.captureRight = captureRight;
    this.captureUp = captureUp;
  }
  public void testValidity(int x, int y)
  {
    if ((x == Board.LEFT_SIDE && captureLeft)
        ||
        (y == Board.LEFT_SIDE && captureDown)
        ||
        (x == Board.RIGHT_SIDE && captureRight)
        ||
        (y == Board.RIGHT_SIDE && captureUp))
    {
      throw new IllegalArgumentException("Invalid capture value.");
    }
  }
}