import java.util.Scanner;
public class Cephalopod
{
  public static void main(String[] args)
  {
    int nrOfGames = new Scanner(System.in).nextInt();

    Player p = new Player();
    Ai ai = new Ai();
    
    int winCount = 0;
    for (int i = 1; i <= nrOfGames; i++)
    {
      boolean playerWon = playGame(p, ai);
      if (playerWon)
      {
        winCount++;
      }
      p.nextGame();
      ai.nextGame();
    }

    if (winCount > nrOfGames * 2 / 3)
    {
      System.out.println("Player is better");
    }
    else
    {
      if (winCount > nrOfGames * 1 / 2)
      {
        System.out.println("Close, but Player is not definitely better");
      }
      else if (winCount > nrOfGames * 1 / 3)
      {
        System.out.println("Close, but AI wins the majority");
      }
      else
      {
        System.out.println("AI is better");
      }
      System.out.print("Your wincount was ");
      System.out.println(winCount);
    }
  }
  private static Board board;
  private static boolean playGame(Player p, Ai ai)
  {
    board = new Board();
    
    boolean playersTurn = true;
    while (!board.isFinished())
    {
      Board boardCopy = board.copy();
      if (playersTurn)
      {
        playersTurn = false;
        Move move;
        try
        {
          move = p.makeMove(boardCopy);
        }
        catch (Throwable t)
        {
          System.out.println("Player causes an exception, AI wins by default. Exception is: " + t.toString());
          return false;
        }
        if (board.isValid(move, Side.Player))
        {
          board.makeMove(move);
          p.notify(move, boardCopy);
          ai.notify(move, boardCopy);
        }
        else
        {
          System.out.println("Player makes an invalid move, AI wins by default.");
          return false;
        }
      }
      else
      {
        playersTurn = true;
        Move move;
        try
        {
          move = ai.makeMove(board.copy());
        }
        catch (Throwable t)
        {
          System.out.println("AI causes an exception, something is terribly wrong. Please tell a.p.t.brink@student.tue.nl about this problem. Exception is: " + t.toString());
          return true;
        }
        if (board.isValid(move, Side.AI))
        {
          board.makeMove(move);
          p.notify(move, boardCopy);
          ai.notify(move, boardCopy);
        }
        else
        {
          System.out.println("AI makes an invalid move, something is terribly wrong. Please tell a.p.t.brink@student.tue.nl about this problem.");
          return true;
        }
      }
    }
    return board.playerHasWon();
  }
}























































