import java.lang.IllegalArgumentException;
public class Move
{
  private Dice dice;
  public Dice getDice()
  {
    return dice;
  }
  private int x;
  public int getX()
  {
    return x;
  }
  private int y;
  public int getY()
  {
    return y;
  }
  private Capture capture;
  public Capture getCapture()
  {
    return capture;
  }
  public Move(Dice dice, int x, int y, Capture capture)
  {
    if (x < Board.LEFT_SIDE || x > Board.RIGHT_SIDE || y < Board.LEFT_SIDE || y > Board.RIGHT_SIDE)
    {
      throw new IllegalArgumentException("Invalid dice value.");
    }
    if (capture != null)
    {
      capture.testValidity(x, y);
    }
    this.dice = dice;
    this.x = x;
    this.y = y;
    this.capture = capture;
  }
}